Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161614 - X-Bugzilla-Reason: Flag change
Summary: X-Bugzilla-Reason: Flag change
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 3.2
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 20:23 UTC by Dave Jones
Modified: 2015-01-04 22:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-02 02:18:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 467859 None None None Never

Description Dave Jones 2005-06-24 20:23:45 UTC
>Would it be possible to add a X-Bugzilla-Reason: Flag change
>to bugzillamail so these state change mails can just be procmailed away ?
>The vast majority of bugzillamail I get these days consists of
>"PM ACK", and such which creates so much noise, that reading bugzillamail
>has basically become next to worthless for me personally.

Comment 1 David Lawrence 2008-09-16 16:52:53 UTC
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Comment 2 Noura El hawary 2008-12-02 02:18:54 UTC
now in the bugzilla email headers there are:

X-Bugzilla-Flags: [% flags %] --> that would contain list of all the flags that were changed and the status they were changed to

also 
X-Bugzilla-Reason: [% reasonsheader %] --> would contain a flag change action notification.


Noura

Comment 3 Kevin Baker 2008-12-02 18:20:50 UTC
Noura,

is this fix upstream or just a customisation in Red Hat bugzilla?

Comment 4 Noura El hawary 2008-12-03 10:52:53 UTC
Hi Kevin,

the X-Bugzilla-Reason: [% reasonsheader %] part is in upstream bugzilla.

but the 

X-Bugzilla-Flags: [% flags %] --> that was a customization requested by bug #470345

Noura

Comment 5 Kevin Baker 2008-12-03 14:26:01 UTC
Hi Noura,

wouldn't the X-Bugzilla-Flags be useful to the upstream? Any reason why Red Hat should carry this patch?

Comment 6 David Lawrence 2008-12-03 15:45:11 UTC
(In reply to comment #5)
> Hi Noura,
> 
> wouldn't the X-Bugzilla-Flags be useful to the upstream? Any reason why Red Hat
> should carry this patch?

I agree. Noura can you file this bug upstream and create a patch against their cvs head that implements the flags header?

Thanks
Dave

Comment 7 Noura El hawary 2008-12-04 01:51:37 UTC
okay i have created a bug upstream and attached a patch to their bugzilla to it, basically the upstream patch is different from our patch in one thing which is where we check for flag visibility as upstream bugzilla doesn't have this flag visibility feature yet.

Noura


Note You need to log in before you can comment on or make changes to this bug.